import request from '@/utils/request'

// 查询在岗人员列表
export function listProjectDeptWroks(query) {
  return request({
    url: '/project/projectDeptWroks/list',
    method: 'get',
    params: query
  })
}

export function deptWroksViewData(query) {
  return request({
    url: '/project/projectDeptWroks/viewData',
    method: 'get',
    params: query
  })
}

// 查询在岗人员详细
export function getProjectDeptWroks(id) {
  return request({
    url: '/project/projectDeptWroks/' + id,
    method: 'get'
  })
}

// 新增在岗人员
export function addProjectDeptWroks(data) {
  return request({
    url: '/project/projectDeptWroks',
    method: 'post',
    data: data
  })
}

// 修改在岗人员
export function updateProjectDeptWroks(data) {
  return request({
    url: '/project/projectDeptWroks',
    method: 'put',
    data: data
  })
}

// 删除在岗人员
export function delProjectDeptWroks(id) {
  return request({
    url: '/project/projectDeptWroks/' + id,
    method: 'delete'
  })
}
